Set expiration
Set expiration date on Smart Transfer ticket. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
PUT
/
smart-transfers
/
{ticketId}
/
expires-in
TypeScript
const response: Promise<FireblocksResponse<SmartTransferTicketResponse>> = fireblocks.smartTransfer.setTicketExpiration(smartTransferApiSetTicketExpirationRequest);CompletableFuture<ApiResponse<SmartTransferTicketResponse>> response = fireblocks.smartTransfer().setTicketExpiration(smartTransferSetTicketExpiration, ticketId, idempotencyKey);response = fireblocks.smart_transfer.set_ticket_expiration(smart_transfer_set_ticket_expiration, ticket_id, idempotency_key);curl --request PUT \
--url https://api.fireblocks.io/v1/smart-transfers/{ticketId}/expires-in \
--header 'Content-Type: application/json' \
--data '
{
"expiresIn": 24.5
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({expiresIn: 24.5})
};
fetch('https://api.fireblocks.io/v1/smart-transfers/{ticketId}/expires-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Success",
"data": {
"id": "118320d2-761f-46c7-96cf-65e71a370b36",
"type": "ASYNC",
"status": "DRAFT",
"createdByNetworkId": "3eaa94c5-128b-4835-bb08-3111bb6564c7",
"createdByNetworkIdName": "Network id name",
"createdAt": "2023-03-01T11:23:00Z",
"updatedAt": "2023-03-01T11:23:00Z",
"direction": "EXCHANGE",
"dvpExecutionStatus": "STARTED",
"orderCreatedByNetworkId": "3eaa94c5-128b-4835-bb08-3111bb6564c7",
"terms": [
{
"id": "84601ee2-b10f-4aa8-be9c-dba259a3533a",
"ticketId": "118320d2-761f-46c7-96cf-65e71a370b36",
"amount": "10.00",
"asset": "ETH",
"fromNetworkId": "947c6115-1f5f-4fb4-9fd6-a1f9dee14670",
"toNetworkId": "5d009697-c29b-48e0-aff8-1f4305d19dc2",
"status": "CREATED"
},
{
"id": "84601ee2-b10f-4aa8-be9c-dba259a3533a",
"ticketId": "118320d2-761f-46c7-96cf-65e71a370b36",
"amount": "10.00",
"asset": "ETH",
"fromNetworkId": "947c6115-1f5f-4fb4-9fd6-a1f9dee14670",
"fromNetworkIdName": "Source network profile 1",
"toNetworkId": "5d009697-c29b-48e0-aff8-1f4305d19dc2",
"toNetworkIdName": "Destination network profile 1",
"status": "FUNDING",
"connectionId": "14817440-d5c8-4dbd-a754-ad415683610c",
"fbTxId": "79075e8c-1fd9-4c97-9575-3bd9229e5c0d",
"createdAt": "2023-03-01T11:23:00.000Z",
"updatedAt": "2023-03-01T11:23:00.000Z"
},
{
"id": "84601ee2-b10f-4aa8-be9c-dba259a3533a",
"ticketId": "118320d2-761f-46c7-96cf-65e71a370b36",
"amount": "10.00",
"asset": "ETH",
"fromNetworkId": "947c6115-1f5f-4fb4-9fd6-a1f9dee14670",
"fromNetworkIdName": "Source network profile 2",
"toNetworkId": "5d009697-c29b-48e0-aff8-1f4305d19dc2",
"toNetworkIdName": "Destination network profile 2",
"status": "FUNDED",
"connectionId": "14817440-d5c8-4dbd-a754-ad415683610c",
"fbTxId": "79075e8c-1fd9-4c97-9575-3bd9229e5c0d",
"txHash": "0xb5c8bd9430b6cc87a0e2fe110ece6bf527fa4f170a4bc8cd032f768fc5219838",
"createdAt": "2023-03-01T11:23:00.000Z",
"updatedAt": "2023-03-01T11:23:00.000Z"
}
],
"expiresIn": "13",
"expiresAt": "2023-03-01T11:23:00Z",
"submittedAt": "2023-03-01T11:23:00Z",
"expiredAt": "2023-03-01T11:23:00Z",
"canceledAt": "2023-03-01T11:23:00Z",
"fulfilledAt": "2023-03-01T11:23:00Z",
"externalRefId": "2631ffb9d8fe47c6b0825b5be28297da",
"note": "Random note",
"canceledByNetworkIdName": "Network id name",
"canceledByMe": true,
"createdByMe": true
}
}{
"message": "You do not have permission to execute this action",
"code": 3002
}{
"message": "Requested entity not found",
"code": "c943bdb8-ada0-4ba6-8645-74fcf188a10f"
}{
"message": "Your request contains invalid data",
"code": "2e7a7a5d-c85c-4ea5-9adf-668cba8b4eb4"
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
Body
application/json
Sets ticket expiration time (in hours) after a ticket is submitted. If no funding source is set to any term, the ticket will automatically expire after given time.
Required range:
1 <= x <= 48Was this page helpful?
Previous
Add external ref. IDSet external id Smart Transfer ticket. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<SmartTransferTicketResponse>> = fireblocks.smartTransfer.setTicketExpiration(smartTransferApiSetTicketExpirationRequest);CompletableFuture<ApiResponse<SmartTransferTicketResponse>> response = fireblocks.smartTransfer().setTicketExpiration(smartTransferSetTicketExpiration, ticketId, idempotencyKey);response = fireblocks.smart_transfer.set_ticket_expiration(smart_transfer_set_ticket_expiration, ticket_id, idempotency_key);